AM261x MCU+ SDK: ICSS_EMAC_PruStatistics Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
ICSS_EMAC_PruStatistics Struct Reference
APIs for Networking modules » APIs for ICSS-EMAC

## Detailed Description

Statistics structure for capturing statistics on PRU.

## Data Fields
volatile uint32_t | txBcast
volatile uint32_t | txMcast
volatile uint32_t | txUcast
volatile uint32_t | txOctets
volatile uint32_t | rxBcast
volatile uint32_t | rxMcast
volatile uint32_t | rxUcast
volatile uint32_t | rxOctets
volatile uint32_t | tx64byte
volatile uint32_t | tx65_127byte
volatile uint32_t | tx128_255byte
volatile uint32_t | tx256_511byte
volatile uint32_t | tx512_1023byte
volatile uint32_t | tx1024byte
volatile uint32_t | rx64byte
volatile uint32_t | rx65_127byte
volatile uint32_t | rx128_255byte
volatile uint32_t | rx256_511byte
volatile uint32_t | rx512_1023byte
volatile uint32_t | rx1024byte
volatile uint32_t | lateColl
volatile uint32_t | singleColl
volatile uint32_t | multiColl
volatile uint32_t | excessColl
volatile uint32_t | rxMisAlignmentFrames
volatile uint32_t | stormPrevCounter
volatile uint32_t | stormPrevCounterMC
volatile uint32_t | stormPrevCounterUC
volatile uint32_t | macRxError
volatile uint32_t | SFDError
volatile uint32_t | defTx
volatile uint32_t | macTxError
volatile uint32_t | rxOverSizedFrames
volatile uint32_t | rxUnderSizedFrames
volatile uint32_t | rxCRCFrames
volatile uint32_t | droppedPackets
volatile uint32_t | txOverFlow
volatile uint32_t | txUnderFlow
volatile uint32_t | sqeTestError
volatile uint32_t | TXqueueLevel
volatile uint32_t | CSError

## Field Documentation

## ◆ txBcast

volatile uint32_t ICSS_EMAC_PruStatistics::txBcast

## ◆ txMcast

volatile uint32_t ICSS_EMAC_PruStatistics::txMcast

Number of broadcast packets sent

## ◆ txUcast

volatile uint32_t ICSS_EMAC_PruStatistics::txUcast

Number of multicast packets sent

## ◆ txOctets

volatile uint32_t ICSS_EMAC_PruStatistics::txOctets

Number of unicast packets sent

## ◆ rxBcast

volatile uint32_t ICSS_EMAC_PruStatistics::rxBcast

Number of Tx packets

## ◆ rxMcast

volatile uint32_t ICSS_EMAC_PruStatistics::rxMcast

Number of broadcast packets rcvd

## ◆ rxUcast

volatile uint32_t ICSS_EMAC_PruStatistics::rxUcast

Number of multicast packets rcvd

## ◆ rxOctets

volatile uint32_t ICSS_EMAC_PruStatistics::rxOctets

Number of unicast packets rcvd

## ◆ tx64byte

volatile uint32_t ICSS_EMAC_PruStatistics::tx64byte

Number of Rx packets

## ◆ tx65_127byte

volatile uint32_t ICSS_EMAC_PruStatistics::tx65_127byte

Number of 64 byte packets sent

## ◆ tx128_255byte

volatile uint32_t ICSS_EMAC_PruStatistics::tx128_255byte

Number of 65-127 byte packets sent

## ◆ tx256_511byte

volatile uint32_t ICSS_EMAC_PruStatistics::tx256_511byte

Number of 128-255 byte packets sent

## ◆ tx512_1023byte

volatile uint32_t ICSS_EMAC_PruStatistics::tx512_1023byte

Number of 256-511 byte packets sent

## ◆ tx1024byte

volatile uint32_t ICSS_EMAC_PruStatistics::tx1024byte

Number of 512-1023 byte packets sent

## ◆ rx64byte

volatile uint32_t ICSS_EMAC_PruStatistics::rx64byte

Number of 1024 and larger size packets sent

## ◆ rx65_127byte

volatile uint32_t ICSS_EMAC_PruStatistics::rx65_127byte

Number of 64 byte packets rcvd

## ◆ rx128_255byte

volatile uint32_t ICSS_EMAC_PruStatistics::rx128_255byte

Number of 65-127 byte packets rcvd

## ◆ rx256_511byte

volatile uint32_t ICSS_EMAC_PruStatistics::rx256_511byte

Number of 128-255 byte packets rcvd

## ◆ rx512_1023byte

volatile uint32_t ICSS_EMAC_PruStatistics::rx512_1023byte

Number of 256-511 byte packets rcvd

## ◆ rx1024byte

volatile uint32_t ICSS_EMAC_PruStatistics::rx1024byte

Number of 512-1023 byte packets rcvd

## ◆ lateColl

volatile uint32_t ICSS_EMAC_PruStatistics::lateColl

Number of 1024 and larger size packets rcvd

## ◆ singleColl

volatile uint32_t ICSS_EMAC_PruStatistics::singleColl

Number of late collisions(Half Duplex)

## ◆ multiColl

volatile uint32_t ICSS_EMAC_PruStatistics::multiColl

Number of single collisions (Half Duplex)

## ◆ excessColl

volatile uint32_t ICSS_EMAC_PruStatistics::excessColl

Number of multiple collisions (Half Duplex)

## ◆ rxMisAlignmentFrames

volatile uint32_t ICSS_EMAC_PruStatistics::rxMisAlignmentFrames

Number of excess collisions(Half Duplex)

## ◆ stormPrevCounter

volatile uint32_t ICSS_EMAC_PruStatistics::stormPrevCounter

Number of non multiple of 8 byte frames rcvd

## ◆ stormPrevCounterMC

volatile uint32_t ICSS_EMAC_PruStatistics::stormPrevCounterMC

Number of packets dropped because of Storm Prevention (broadcast)

## ◆ stormPrevCounterUC

volatile uint32_t ICSS_EMAC_PruStatistics::stormPrevCounterUC

Number of packets dropped because of Storm Prevention (multicast)

## ◆ macRxError

volatile uint32_t ICSS_EMAC_PruStatistics::macRxError

Number of packets dropped because of Storm Prevention (unicast)

## ◆ SFDError

volatile uint32_t ICSS_EMAC_PruStatistics::SFDError

Number of MAC receive errors

## ◆ defTx

volatile uint32_t ICSS_EMAC_PruStatistics::defTx

Number of invalid SFD

## ◆ macTxError

volatile uint32_t ICSS_EMAC_PruStatistics::macTxError

Number of transmissions deferred

## ◆ rxOverSizedFrames

volatile uint32_t ICSS_EMAC_PruStatistics::rxOverSizedFrames

Number of MAC transmit errors

## ◆ rxUnderSizedFrames

volatile uint32_t ICSS_EMAC_PruStatistics::rxUnderSizedFrames

Number of oversized frames rcvd

## ◆ rxCRCFrames

volatile uint32_t ICSS_EMAC_PruStatistics::rxCRCFrames

Number of undersized frames rcvd

## ◆ droppedPackets

volatile uint32_t ICSS_EMAC_PruStatistics::droppedPackets

Number of CRC error frames rcvd

## ◆ txOverFlow

volatile uint32_t ICSS_EMAC_PruStatistics::txOverFlow

Number of packets dropped due to a link down on opposite port

## ◆ txUnderFlow

volatile uint32_t ICSS_EMAC_PruStatistics::txUnderFlow

Tx FIFO overflow count

## ◆ sqeTestError

volatile uint32_t ICSS_EMAC_PruStatistics::sqeTestError

Tx FIFO underflow count

## ◆ TXqueueLevel

volatile uint32_t ICSS_EMAC_PruStatistics::TXqueueLevel

Number of MAC receive errors

## ◆ CSError

volatile uint32_t ICSS_EMAC_PruStatistics::CSError

Current Tx queue level